---
layout: default
title: Settig the time filter
parent: Exploring Data
grand_parent: Opensearch Dashboard
nav_order: 13
---


# Setting the time filter

You can change the time range to display dashboard data over minutes, hours, days, weeks, months, or years.

The default time range is  **Last 15 minutes**. You can change the time range at the dashboard level or under  **Stack Management > Advanced Settings > Time filter defaults**.

To change the time range at the dashboard level, perform the following steps:

1.  From an OpenSearch Dashboards application (Discover, Dashboard, or Visualize), select the time clock or calendar icon.
2.  Select one of the time filter options, as shown in the following image:
    
    -   **Quick select:**  Choose a time based on the last or next number of seconds, minutes, hours, days, or another time unit.
    -   **Commonly used:**  Choose a common time range like  **Today**,  **Last 7 days**, or  **Last 30 days**.
    -   **Recently used date ranges:**  Select a previously used time range.
    -   **Refresh every:**  Set an automatic refresh period.
    
    ![Time range interface]({{site.baseurl}}/images/exploring-data/time-range.png)
    
3.  Choose  **Show dates**  to set start and end times, and then select anywhere inside the toolbar to access the time filter pop-up window, as shown in the following image.
    
    ![Time filter pop-up window]({{site.baseurl}}/images/exploring-data/time-filter-popup.png)
    
4.  Select  **Absolute**,  **Relative**, or  **Now**  and specify ranges.
5.  Choose  **Update**  to apply changes, as shown in the following image.
    
    ![Start and end times interface]({{site.baseurl}}/images/exploring-data/start-end-time.png)